Subject: Device tree and IRQ for chip on PCI

From: Matteo Fortini <[email-masked]>
Date: Mon, 17 Nov 2008 16:12:45 +0100

I have a chip connected on the PCI bus on an MPC512x, but if I get the 
IRQ property from the PCI chip, it is not set up by Linux.
The IRQ line goes directly from the chip to the MPC512x uc, so I don't 
know if I should create a separate node just to get the interrupt, or I 
should expect the pci functions to assign it an interrupt based on the 
PCI bus.

The description for the PCI bus is like this:
        pci: pci@80008500 {
                interrupt-map-mask = <0xf800 0x0 0x0 0x7>;
                interrupt-map = <
                                // IDSEL 0x15 - Slot PCI
                                 0xa800 0x0 0x0 0x1 &ipic 0x0 0x8
                                 0xa800 0x0 0x0 0x2 &ipic 0x1 0x8
                                 0xa800 0x0 0x0 0x3 &ipic 0x2 0x8
                                 0xa800 0x0 0x0 0x4 &ipic 0x3 0x8

                                >;
                interrupt-parent = < &ipic >;
                interrupts = <17 0x8>;
                bus-range = <0 0>;
                ranges = <0x42000000 0x0 0xa0000000 0xa0000000 0x0 
0x10000000
                          0x02000000 0x0 0xb0000000 0xb0000000 0x0 
0x10000000
                          0x01000000 0x0 0x00000000 0x84000000 0x0 
0x01000000>;
                clock-frequency = <66000000>;
                #interrupt-cells = <1>;
                #size-cells = <2>;
                #address-cells = <3>;
                reg = <0x80008500 0x100>;
                compatible = "fsl,mpc5121-pci";
                device_type = "pci";
        };

Thanks,
Matteo